<?php

/* ***** BEGIN LICENSE BLOCK ***** 
 *
 * The contents of this file are copyright
 * Chris Pollett 2009.
 *
 * Use of this file is permitted provided:
 *
 * (a) this copyright notice is retained, 
 *     including in derived works.
 *
 * (b) any changes to this file are not
 *     publicly made available or used 
 *     for commercial purposes without 
 *     the express consent of Chris Pollett
 *     
 *  ***** END LICENSE BLOCK ***** */
 

/**
 * mysql_manager.php
 * 
 * This is concrete class, implementing
 * the abstract class DatasourceManager 
 * for the MySql DBMS. Method explanations
 * are given in the parent class. 
 *
 * @author Chris Pollett
 *
 * @package mysearch
 */

require_once("datasource_manager.php");

class MysqlManager extends DataSourceManager
{

   public function __construct() 
   {
      parent::__construct();
   }
	  
   public function connect()
   {
      mysql_connect(DB_URL, DB_USER, DB_PASSWORD);
	 
      mysql_select_db(DB_NAME); 	  
   } 
  
   public function disconnect()
   {
      mysql_close();
   }
   
   public function execute($sql)
   {
      $result = mysql_query($sql);
	  
	  return $result;
   }
   
   public function affected_rows()
   {	  
	  return mysql_affected_rows();
   }
   
   public function insert_id()
   {	  
      return mysql_insert_id();
   }   
      
   
   public function fetch_array($result)
   {
      $row = mysql_fetch_array($result, MYSQL_ASSOC);
	   
      return $row;
   }
   
   public function escape_string($str)
   {
      return mysql_real_escape_string($str);
   }
}

$db = new MysqlManager();

?>
