<?php

/**
* rank.php
*
* This controller performs the ranking.
*
* @author   Ravi Dhillon
*
*
*/

function rank_controller($db,$input_sites){
	global $query_title;
	global $query_body;
	global $query_anchor;
	global $query_score;
	global $query_terms;
	
	$query = trim($_POST['q']);
	$query = preg_replace("/[[:blank:]]+/"," ",$query);
	$query_array = explode(" ",$query);
	$query_terms = implode("+",$query_array);
	
	foreach($input_sites as $url)
	{
	     $query_score[$url] = 0;
	     $query_title[$url] = 0;
	     $query_body[$url] = 0;
	     $query_anchor[$url] = 0;
	}
	foreach($query_array as $term)
	{	    
	     $sql = "SELECT URL,TITLE_FREQ,BODY_FREQ,ANCHOR_FREQ,SCORE FROM WORD_SCORE WHERE WORD = '".$term."'";
    	     //echo $sql;
    	     $result = $db->execute($sql);

    	     while($result && $row = $db->fetch_array($result))
    	     {
	          $url = $row['URL'];
	          $query_score[$url] += floatval($row['SCORE']);
	          $query_title[$url] += intval($row['TITLE_FREQ']);
	          $query_body[$url] += intval($row['BODY_FREQ']);
	          $query_anchor[$url] += intval($row['ANCHOR_FREQ']);
    	     }    
	}
	arsort($query_score);
	//print_r($query_terms);
	//print_r($query_score);
}
?>

